com.streambase.liveview.client

## Class AbstractQueryListener

- java.lang.Object
- - com.streambase.liveview.client.AbstractQueryListener

- All Implemented Interfaces:
    QueryListener, EventListener
  Direct Known Subclasses:
    AbstractBatchedQueryListener

      public abstract class AbstractQueryListener
      extends Object
      implements QueryListener

  A convenience implementation of `QueryListener` that can be extended and the specified methods can be overridden. Unless you override the methods below the callback events associated with them are essentially dropped.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractQueryListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteBegin(BeginDeleteEvent event)` Event to indicate the start of delete query.
    `void` | `deleteEnd(EndDeleteEvent event)` Event to indicate the delete query is complete.
    `void` | `exceptionRaised(QueryExceptionEvent event)` Event when an exception occurs during the query.
    `void` | `queryClosed(QueryClosedEvent event)` Event when a query being listened to is closed.
    `void` | `snapshotBegin(BeginSnapshotEvent event)` Event to indicate the start of the result snapshot.
    `void` | `snapshotEnd(EndSnapshotEvent event)` Event to indicate the query snapshot is complete.
    `void` | `tupleAdded(TupleAddedEvent event)` Event when a new tuple is added to the result.
    `void` | `tupleRemoved(TupleRemovedEvent event)` Event when an existing tuple is removed from the result.
    `void` | `tupleUpdated(TupleUpdatedEvent event)` Event when an existing tuple in the result is updated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.streambase.liveview.client.QueryListener

      `aggMarkBegin, aggMarkEnd`

- - ### Constructor Detail

    - #### AbstractQueryListener

          public AbstractQueryListener()

  - ### Method Detail

    - #### tupleRemoved

          public void tupleRemoved(TupleRemovedEvent event)

      Event when an existing tuple is removed from the result.
      Specified by:
        `tupleRemoved` in interface `QueryListener`
      Parameters:
        `event` - remove event

    - #### tupleAdded

          public void tupleAdded(TupleAddedEvent event)

      Event when a new tuple is added to the result.
      Specified by:
        `tupleAdded` in interface `QueryListener`
      Parameters:
        `event` - add event

    - #### tupleUpdated

          public void tupleUpdated(TupleUpdatedEvent event)

      Event when an existing tuple in the result is updated.
      Specified by:
        `tupleUpdated` in interface `QueryListener`
      Parameters:
        `event` - update event

    - #### snapshotBegin

          public void snapshotBegin(BeginSnapshotEvent event)

      Event to indicate the start of the result snapshot. This is the first method called when a query starts returning results, but this method is also called to indicate a reset (a complete restart of the query.)
      Specified by:
        `snapshotBegin` in interface `QueryListener`
      Parameters:
        `event` - snapshot begin

    - #### snapshotEnd

          public void snapshotEnd(EndSnapshotEvent event)

      Event to indicate the query snapshot is complete.
      Specified by:
        `snapshotEnd` in interface `QueryListener`
      Parameters:
        `event` - snapshot end

    - #### deleteBegin

          public void deleteBegin(BeginDeleteEvent event)

      Event to indicate the start of delete query.
      Specified by:
        `deleteBegin` in interface `QueryListener`
      Parameters:
        `event` - delete begin

    - #### deleteEnd

          public void deleteEnd(EndDeleteEvent event)

      Event to indicate the delete query is complete.
      Specified by:
        `deleteEnd` in interface `QueryListener`
      Parameters:
        `event` - delete end

    - #### exceptionRaised

          public void exceptionRaised(QueryExceptionEvent event)

      Event when an exception occurs during the query. Since 1.3, reaching the row limit is considered an exception.
      Specified by:
        `exceptionRaised` in interface `QueryListener`
      Parameters:
        `event` - exception event

    - #### queryClosed

          public void queryClosed(QueryClosedEvent event)

      Event when a query being listened to is closed.
      Specified by:
        `queryClosed` in interface `QueryListener`
      Parameters:
        `event` - query closed event

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.